## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

# https://github.com/golang/vuln
%global goipath     golang.org/x/vuln
%global forgeurl    https://github.com/golang/vuln
Version:            1.1.2

%gometa -L


%global common_description %{expand:
The database client and tools for the Go vulnerability database.}

%global golicenses      LICENSE PATENTS
%global godocs          doc CONTRIBUTING.md README.md


Name:           %{goname}
Release:        %autorelease
Summary:        Database client and tools for the Go vulnerability database

License:        BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif


%if %{without bootstrap}
%if %{with check}
%check
%gocheck -v -t cmd -t internal
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE PATENTS
%doc doc CONTRIBUTING.md README.md
%{_bindir}/govulncheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 23 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.2-2
- Fix whitespaces

* Sun Jun 23 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.2-1
- Update to 1.1.2

* Fri Feb 16 2024 Packit <hello@packit.dev> - 1.0.4-3
- [packit] 1.0.4 upstream release
- Resolves rhbz#2229664

* Fri Feb 16 2024 Alejandro Sáez <asm@redhat.com> - 1.0.4-2
- Follow only on Rawhide

* Fri Feb 16 2024 Alejandro Sáez <asm@redhat.com> - 1.0.4-1
- Bump up to v1.0.4

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0-0.10
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Michel Lind <salimma@fedoraproject.org> - 0-0.7
- Revert commit matching unpushed update

* Mon Aug 07 2023 Alejandro Sáez <asm@redhat.com> - 0-0.6
- Update to fix FTBFS

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Feb 21 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.4
- Update to commit 6ad3e3d0781578532aaedbed543b25d7d586c746

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 01 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2
- Fix typo

* Mon Aug 01 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1
- Initial import - Close: rhbz#2110130
## END: Generated by rpmautospec
